"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.pinoPretty = void 0;

var _path = require("path");

var _toolLib = require("@kettil/tool-lib");

var _actionConfigs = require("../../../configs/actionConfigs");

var _exec = require("../../cmd/exec");

const pinoPretty = ({
  log,
  root,
  cwd,
  pinoIgnoreKeys = []
}) => {
  const ignoreKeys = (0, _toolLib.uniqueArray)([..._actionConfigs.pinoPrettyIgnoreKeys, ...pinoIgnoreKeys]);
  return (0, _exec.exec)({
    log,
    args: ['--colorize', '--translateTime', '"SYS:yyyy-mm-dd\'T\'HH:MM:ss.l"', '--ignore', `"${ignoreKeys.join(',')}"`],
    cmd: (0, _path.join)(root, _actionConfigs.pinoPrettyCommand),
    cwd
  }, {
    stdin: undefined,
    stderr: process.stderr,
    stdout: process.stdout
  });
};

exports.pinoPretty = pinoPretty;