"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getInaccurateVersions = void 0;

var _toolLib = require("@kettil/tool-lib");

var _semver = require("semver");

const regexpPostfix = /\d+\.\d+\.\d+[-.][\d\-.a-z]+/iu;

const getInaccurateVersions = dependencies => {
  if (!(0, _toolLib.isObject)(dependencies)) {
    return [];
  }

  return (0, _toolLib.objectEntries)(dependencies).filter(value => typeof value[1] === 'string').filter(([, version]) => !version.startsWith('file')).filter(([, version]) => !version.startsWith('http')).filter(([, version]) => !version.startsWith('git')).map(([name, version]) => {
    var _coerce;

    return [name, version, ((_coerce = (0, _semver.coerce)(version)) === null || _coerce === void 0 ? void 0 : _coerce.version) ?? 'could not be detected'];
  }).filter(([, version, result]) => version !== result).filter(([, version]) => !regexpPostfix.test(version));
};

exports.getInaccurateVersions = getInaccurateVersions;