import chalk from 'chalk';
declare type Level = keyof typeof levels;
declare type Log = (msg: string[] | string) => void;
declare type Logger = Record<Level, Log>;
declare const levels: {
    log: (msg: string) => string;
    error: chalk.Chalk;
    info: chalk.Chalk;
    debug: chalk.Chalk;
};
declare const log: Log;
declare const logger: ({ verbose, vvv }: {
    verbose: boolean;
    vvv: boolean;
}) => Logger;
export type { Logger };
export { logger, log };
