"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.execLog = void 0;

var _executableError = require("../errors/executableError");

var _exec = require("./exec");

const execLog = props => new Promise((resolve, reject) => {
  const stream = (0, _exec.exec)(props);
  stream.stdout.setEncoding('utf8');
  stream.stderr.setEncoding('utf8');
  stream.stdout.on('data', data => {
    props.log.log(String(data));
  });
  stream.stderr.on('data', data => {
    props.log.log(String(data));
  });
  stream.on('close', code => {
    if (typeof code === 'number' && code !== 0) {
      reject(new _executableError.ExecutableError('Error during execution', (0, _exec.getExecCommand)(props), code));
    } else {
      resolve();
    }
  });
});

exports.execLog = execLog;