"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.gitTask = void 0;

var _taskHook = require("../utils/taskHook");

var _gitCommitTask = require("./subTasks/gitCommitTask");

var _gitMessageTask = require("./subTasks/gitMessageTask");

const gitTask = async (argv, {
  edit,
  hook
}) => {
  await (0, _taskHook.taskHook)(argv, {
    task: 'git',
    type: 'pre'
  });

  switch (hook) {
    case 'commit':
      await (0, _gitCommitTask.gitCommitTask)(argv);
      break;

    case 'msg':
      if (typeof edit !== 'string' || edit.trim() === '') {
        throw new Error(`Argument "edit" is required at hook "${hook}"`);
      }

      await (0, _gitMessageTask.gitMessageTask)(argv, {
        edit
      });
      break;

    default:
      throw new Error(`The git hook "${hook}" is unknown`);
  }

  await (0, _taskHook.taskHook)(argv, {
    task: 'git',
    type: 'post'
  });
};

exports.gitTask = gitTask;