"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCompatibilityConfig = void 0;

var _toolLib = require("@kettil/tool-lib");

var _reduceCompatibilityList = require("./reduceCompatibilityList");

const getCompatibilityConfig = ({
  config,
  replaceConfig,
  defaultCompatibilities = {}
}) => {
  const items = replaceConfig ? {} : { ...defaultCompatibilities
  };
  const {
    compatibilities
  } = config;

  if (compatibilities === undefined) {
    return items;
  }

  if (!(0, _toolLib.isObject)(compatibilities)) {
    throw new TypeError('.carnarc.json: license.compatibilities is not an object');
  }

  return (0, _toolLib.objectEntries)(compatibilities).reduce(_reduceCompatibilityList.reduceCompatibilityList, items);
};

exports.getCompatibilityConfig = getCompatibilityConfig;