import { Logger } from './cli/logger';
declare type SortType<T> = (v1: T, v2: T) => number;
declare type PropsGlobal = {
    readonly root: string;
    readonly cwd: string;
    readonly cfg: string;
    readonly log: Logger;
    readonly vvv: boolean;
    readonly ci: boolean;
};
declare type PropsTypes = Record<string, unknown> | unknown[] | undefined;
declare type Action<Props extends PropsTypes = undefined, ActionReturn = void> = Props extends undefined ? (argv: PropsGlobal) => Promise<ActionReturn> : Props extends unknown[] ? (argv: PropsGlobal, ...props: Props) => Promise<ActionReturn> : (argv: PropsGlobal, props: Props) => Promise<ActionReturn>;
declare type Task<Props extends PropsTypes = undefined, ActionReturn = void> = Props extends undefined ? (argv: PropsGlobal) => Promise<ActionReturn> : Props extends unknown[] ? (argv: PropsGlobal, ...props: Props) => Promise<ActionReturn> : (argv: PropsGlobal, props: Props) => Promise<ActionReturn>;
declare type LicenseCompatibilities = Record<string, string[]>;
declare type LicenseHeuristics = Record<string, RegExp>;
declare type LicenseAliases = Record<string, Record<string, string>>;
declare type LicensePackageInfo = {
    path: string;
    name: string;
    license: string | 'UNKNOWN';
    version: string | 'UNKNOWN';
};
declare type LicenseConfig = {
    compatibilities: LicenseCompatibilities;
    ignorePackages: string[];
    heuristics: LicenseHeuristics;
    aliases: LicenseAliases;
};
export type { Action, LicenseAliases, LicenseCompatibilities, LicenseConfig, LicenseHeuristics, LicensePackageInfo, PropsGlobal, SortType, Task, };
