"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createSpawnKillHandler = void 0;

var _os = require("os");

var _process = require("../cli/process");

const createSpawnKillHandler = ({
  registerStdin = false
} = {}) => {
  const callbacks = [];
  let isRunning = true;

  if (registerStdin) {
    const stdin = (0, _process.getStdin)();
    stdin.setRawMode(true);
    stdin.setEncoding('utf8');
    stdin.resume();
    stdin.on('data', key => {
      if (key.toString() === '\u0003') {
        stdin.setRawMode(false);
        stdin.pause();
        callbacks.forEach(callback => callback(_os.constants.signals.SIGINT));
      }
    });
  }

  return {
    addCallback: callback => callbacks.push(callback),
    kill: signal => {
      if (isRunning) {
        isRunning = false;
        return callbacks.map(callback => callback(signal));
      }

      return [];
    }
  };
};

exports.createSpawnKillHandler = createSpawnKillHandler;