"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCoverageWatermark = void 0;

var _toolLib = require("@kettil/tool-lib");

var _actionConfigs = require("../../configs/actionConfigs");

const getCoverageWatermark = watermark => {
  if ((0, _toolLib.isArray)(watermark)) {
    if (watermark[0] > watermark[1]) {
      throw new Error(`The medium-watermarks must not be greater than high-watermarks (${watermark})`);
    }

    return watermark;
  }

  if (typeof watermark === 'number') {
    return [watermark, watermark];
  }

  return _actionConfigs.coverageDefaultWatermark;
};

exports.getCoverageWatermark = getCoverageWatermark;