"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getWorkspaceDependencyCompare = void 0;

const getWorkspaceDependencyCompare = ({
  workspace,
  workspaces,
  ignores = [workspace.name]
}) => {
  const {
    dependencies
  } = workspace;
  return workspaces.filter(w => dependencies.includes(w.name)).filter(w => !ignores.includes(w.name)).flatMap(w => [w.path, ...getWorkspaceDependencyCompare({
    workspace: w,
    workspaces,
    ignores: [...ignores, w.name]
  })]);
};

exports.getWorkspaceDependencyCompare = getWorkspaceDependencyCompare;